org.apache.flume.sink.hive

## Class Config

- java.lang.Object
- - org.apache.flume.sink.hive.Config

-     public class Config
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BATCH_SIZE`
    `static String` | `CALL_TIMEOUT`
    `static String` | `HEART_BEAT_INTERVAL`
    `static String` | `HIVE_DATABASE`
    `static String` | `HIVE_METASTORE`
    `static String` | `HIVE_PARTITION`
    `static String` | `HIVE_TABLE`
    `static String` | `HIVE_TXNS_PER_BATCH_ASK`
    `static String` | `HOUR`
    `static String` | `IDLE_TIMEOUT`
    `static String` | `MAX_OPEN_CONNECTIONS`
    `static String` | `MINUTE`
    `static String` | `ROUND`
    `static String` | `ROUND_UNIT`
    `static String` | `ROUND_VALUE`
    `static String` | `SECOND`
    `static String` | `SERIALIZER`
    `static String` | `TIME_ZONE`
    `static String` | `USE_LOCAL_TIME_STAMP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HIVE_METASTORE

          public static final String HIVE_METASTORE

      See Also:
        Constant Field Values

    - #### HIVE_DATABASE

          public static final String HIVE_DATABASE

      See Also:
        Constant Field Values

    - #### HIVE_TABLE

          public static final String HIVE_TABLE

      See Also:
        Constant Field Values

    - #### HIVE_PARTITION

          public static final String HIVE_PARTITION

      See Also:
        Constant Field Values

    - #### HIVE_TXNS_PER_BATCH_ASK

          public static final String HIVE_TXNS_PER_BATCH_ASK

      See Also:
        Constant Field Values

    - #### BATCH_SIZE

          public static final String BATCH_SIZE

      See Also:
        Constant Field Values

    - #### IDLE_TIMEOUT

          public static final String IDLE_TIMEOUT

      See Also:
        Constant Field Values

    - #### CALL_TIMEOUT

          public static final String CALL_TIMEOUT

      See Also:
        Constant Field Values

    - #### HEART_BEAT_INTERVAL

          public static final String HEART_BEAT_INTERVAL

      See Also:
        Constant Field Values

    - #### MAX_OPEN_CONNECTIONS

          public static final String MAX_OPEN_CONNECTIONS

      See Also:
        Constant Field Values

    - #### USE_LOCAL_TIME_STAMP

          public static final String USE_LOCAL_TIME_STAMP

      See Also:
        Constant Field Values

    - #### TIME_ZONE

          public static final String TIME_ZONE

      See Also:
        Constant Field Values

    - #### ROUND_UNIT

          public static final String ROUND_UNIT

      See Also:
        Constant Field Values

    - #### ROUND

          public static final String ROUND

      See Also:
        Constant Field Values

    - #### HOUR

          public static final String HOUR

      See Also:
        Constant Field Values

    - #### MINUTE

          public static final String MINUTE

      See Also:
        Constant Field Values

    - #### SECOND

          public static final String SECOND

      See Also:
        Constant Field Values

    - #### ROUND_VALUE

          public static final String ROUND_VALUE

      See Also:
        Constant Field Values

    - #### SERIALIZER

          public static final String SERIALIZER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Config

          public Config()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.